import request from '@/utils/request'

// 查询燃气用户列表
export function listUser(query) {
  return request({
    url: '/supervise/user/list',
    method: 'get',
    params: query
  })
}

// 查询燃气用户详细
export function getUser(userId) {
  return request({
    url: '/supervise/user/' + userId,
    method: 'get'
  })
}

// 新增燃气用户
export function addUser(data) {
  return request({
    url: '/supervise/user',
    method: 'post',
    data: data
  })
}

// 修改燃气用户
export function updateUser(data) {
  return request({
    url: '/supervise/user',
    method: 'put',
    data: data
  })
}

// 删除燃气用户
export function delUser(userId) {
  return request({
    url: '/supervise/user/' + userId,
    method: 'delete'
  })
}

// 导出燃气用户
export function exportUser(query) {
  return request({
    url: '/supervise/user/export',
    method: 'get',
    params: query
  })
}


// 导出燃气用户-新的-有居住区的导出
export function newExportUser(query) {
  return request({
    url: '/supervise/user/newExport',
    method: 'get',
    params: query
  })
}


// 查询 安装加装装置数据
export function getNoSelectSafetyDetailInfo(data) {
  return request({
    url: '/gasUserSafetyDevice/info/queryNoSelectSafeDeviceInfoList',
    method: 'post',
    data: data
  })
}



// 查询 安装加装装置数据
export function addSafetyDetailInfo(data) {
  return request({
    url: '/gasUserSafetyDevice/info',
    method: 'post',
    data: data
  })
}


// 关联安装加装装置 批量删除
export function deleteSafetyDeviceListInfo(data) {
  return request({
    url: '/gasUserSafetyDevice/deleteSafetyDeviceListInfo',
    method: 'post',
    data: data
  })
}

// 删除关联设备信息
export function deleteSafetyDeviceInfo(deviceId) {
  return request({
    url: '/gasUserSafetyDevice/deleteSafetyDeviceInfo',
    method: 'delete',
    data:deviceId
  })
}